 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: DingTalkJobConstructor
  * Author:   Louis
  * Date:     2021/4/21 15:58
  */
 package com.fr.plugin.mqh.dingtalksyn.bean;

 import com.fr.scheduler.job.FineScheduleJob;

 /**
  * <Function Description><br>
  * <DingTalkJobConstructor>
  *
  * @author Louis
  * @since 1.0.0
  */
 public class DingTalkJobConstructor {
     private String cron;
     private String jobName;
     private String jobGroup;
     private String triggerName;
     private String triggerGroup;
     private Class<? extends FineScheduleJob> jobClazz;

     public DingTalkJobConstructor() {
     }

     public DingTalkJobConstructor cron(String var1) {
         this.setCron(var1);
         return this;
     }

     public String getCron() {
         return this.cron;
     }

     public void setCron(String var1) {
         this.cron = var1;
     }

     public DingTalkJobConstructor jobName(String var1) {
         this.setJobName(var1);
         return this;
     }

     public String getJobName() {
         return this.jobName;
     }

     public void setJobName(String var1) {
         this.jobName = var1;
     }

     public DingTalkJobConstructor jobGroup(String var1) {
         this.setJobGroup(var1);
         return this;
     }

     public String getJobGroup() {
         return this.jobGroup;
     }

     public void setJobGroup(String var1) {
         this.jobGroup = var1;
     }

     public DingTalkJobConstructor triggerName(String var1) {
         this.setTriggerName(var1);
         return this;
     }

     public String getTriggerName() {
         return this.triggerName;
     }

     public void setTriggerName(String var1) {
         this.triggerName = var1;
     }

     public DingTalkJobConstructor triggerGroup(String var1) {
         this.setTriggerGroup(var1);
         return this;
     }

     public String getTriggerGroup() {
         return this.triggerGroup;
     }

     public void setTriggerGroup(String var1) {
         this.triggerGroup = var1;
     }

     public DingTalkJobConstructor jobClazz(Class<? extends FineScheduleJob> var1) {
         this.setJobClazz(var1);
         return this;
     }

     public Class<? extends FineScheduleJob> getJobClazz() {
         return this.jobClazz;
     }

     public void setJobClazz(Class<? extends FineScheduleJob> var1) {
         this.jobClazz = var1;
     }
 }