 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: DingTalkSyncMemberJob
  * Author:   Louis
  * Date:     2021/4/21 16:02
  */
 package com.fr.plugin.mqh.dingtalksyn.job;

 import com.fanruan.api.log.LogKit;
 import com.fr.cluster.core.ClusterNode;
 import com.fr.plugin.mqh.dingtalksyn.user.DingTalkUserManager;
 import com.fr.scheduler.job.FineScheduleJob;
 import com.fr.third.v2.org.quartz.JobExecutionContext;

 /**
  * <Function Description><br>
  * <DingTalkSyncMemberJob>
  *
  * @author Louis
  * @since 1.0.0
  */
 public class DingTalkSyncMemberJob extends FineScheduleJob {
     public DingTalkSyncMemberJob() {
     }

     public void run(JobExecutionContext jobExecutionContext, ClusterNode clusterNode) {
         try {
             DingTalkUserManager.getInstance().synDingTalkUsers();
         } catch (Exception e) {
             LogKit.error(e.getMessage(), e);
         }
     }
 }