 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: LocaleFinder
  * Author:   Louis
  * Date:     2020/8/31 22:19
  */
 package com.fr.plugin.mqh.dingtalksyn.provider;

 import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.stable.fun.impl.AbstractLocaleFinder;

 /**
  * <Function Description><br>
  * <LocaleFinder>
  *
  * @author Louis
  * @since 1.0.0
  */
 @EnableMetrics
 public class LocaleFinder extends AbstractLocaleFinder {
     public static final String PLUGIN_ID = "com.fr.plugin.mqh.dingtalksyn.job";

     @Override
     @Focus(id = PLUGIN_ID, text = "Plugin-dingtalksyn", source = Original.PLUGIN)
     public String find() {
         return "com/fr/plugin/mqh/dingtalksyn/locale/lang";
     }

     @Override
     public int currentAPILevel() {
         return CURRENT_LEVEL;
     }
 }